#include <looptime.h>

#include <Wire.h>
#include <bmp085.h>


void setup()
{
  Serial.begin(9600);
  bmp085_init();
}

float temp,atm,alt;
long pres;

int anAver(int ch,int nr)
{
  int av = 0;
  for (int i=+0; i < nr; i++)
    av += analogRead(ch);
  return av/nr;
}

#define LOOPTIME 50

int i;

void loop()
{
  Serial.print(i); 
  Serial.print(" , ");
  i+= LOOPTIME;

  Serial.print(looptime(100)); 
  Serial.print(" , ");
 
  i = anAver(2,20);
  Serial.print( i); 
  Serial.print("  , ");

  i = anAver(3,20);
  Serial.print( i); 
  Serial.print("  , ");

  i = anAver(1,20);
  Serial.print( i); 
  Serial.print("  , ");

  temp = bmp085Temp(); 
  pres = bmp085Pressure(); 
  alt = bmp085PascalToMeter(pres,101800);  
  Serial.print(temp);  
  Serial.print(" , ");

  Serial.print(pres);  
  Serial.print(" , ");

  Serial.println(alt);  

}







